Toggle thread star
curl --request PATCH \
--url https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/star \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/star"
headers = {"X-API-Key": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.coldsend.pro/api/public/v1/replies/threads/{thread_id}/star', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"thread_id": "<string>",
"is_starred": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Replies
Toggle thread star
Toggle the starred status of all messages in a conversation thread
PATCH
/
api
/
public
/
v1
/
replies
/
threads
/
{thread_id}
/
star
Toggle thread star
Authorizations
API key with format cs_live_xxx
Path Parameters
Thread ID
Was this page helpful?
⌘I

